View Issue Details

IDProjectCategoryView StatusLast Update
0006857GNUnetconversation servicepublic2021-06-10 22:53
ReporterBrendan Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.14.1 
Target Version0.15.0Fixed in Version0.15.0 
Summary0006857: error compiling test_conversation_api.c
Descriptionmake[4]: Entering directory '/tmp/guix-build-gnunet-0.14.1.drv-0/gnunet-0.14.1/src/conversation'
  CC test_conversation_api.o
test_conversation_api.c: In function ‘namestore_put_cont’:
test_conversation_api.c:405:56: error: incompatible type for argument 4 of ‘GNUNET_IDENTITY_create’
   op = GNUNET_IDENTITY_create (id, "caller-ego", NULL, &caller_ego_create_cont,
                                                        ^
In file included from ../../src/include/gnunet_gnsrecord_lib.h:37:0,
                 from test_conversation_api.c:31:
../../src/include/gnunet_identity_service.h:340:1: note: expected ‘enum GNUNET_IDENTITY_KeyType’ but argument is of type ‘void (*)(void *, const struct GNUNET_IDENTITY_PrivateKey *, const char *)’
 GNUNET_IDENTITY_create (struct GNUNET_IDENTITY_Handle *id,
 ^~~~~~~~~~~~~~~~~~~~~~
test_conversation_api.c:405:8: error: too few arguments to function ‘GNUNET_IDENTITY_create’
   op = GNUNET_IDENTITY_create (id, "caller-ego", NULL, &caller_ego_create_cont,
        ^~~~~~~~~~~~~~~~~~~~~~
In file included from ../../src/include/gnunet_gnsrecord_lib.h:37:0,
                 from test_conversation_api.c:31:
../../src/include/gnunet_identity_service.h:340:1: note: declared here
 GNUNET_IDENTITY_create (struct GNUNET_IDENTITY_Handle *id,
 ^~~~~~~~~~~~~~~~~~~~~~
test_conversation_api.c: In function ‘run’:
test_conversation_api.c:487:55: error: incompatible type for argument 4 of ‘GNUNET_IDENTITY_create’
   op = GNUNET_IDENTITY_create (id, "phone-ego", NULL, &phone_ego_create_cont,
                                                       ^
In file included from ../../src/include/gnunet_gnsrecord_lib.h:37:0,
                 from test_conversation_api.c:31:
../../src/include/gnunet_identity_service.h:340:1: note: expected ‘enum GNUNET_IDENTITY_KeyType’ but argument is of type ‘void (*)(void *, const struct GNUNET_IDENTITY_PrivateKey *, const char *)’
 GNUNET_IDENTITY_create (struct GNUNET_IDENTITY_Handle *id,
 ^~~~~~~~~~~~~~~~~~~~~~
test_conversation_api.c:487:8: error: too few arguments to function ‘GNUNET_IDENTITY_create’
   op = GNUNET_IDENTITY_create (id, "phone-ego", NULL, &phone_ego_create_cont,
        ^~~~~~~~~~~~~~~~~~~~~~
In file included from ../../src/include/gnunet_gnsrecord_lib.h:37:0,
                 from test_conversation_api.c:31:
../../src/include/gnunet_identity_service.h:340:1: note: declared here
 GNUNET_IDENTITY_create (struct GNUNET_IDENTITY_Handle *id,
 ^~~~~~~~~~~~~~~~~~~~~~
make[4]: *** [Makefile:1420: test_conversation_api.o] Error 1
make[4]: Leaving directory '/tmp/guix-build-gnunet-0.14.1.drv-0/gnunet-0.14.1/src/conversation'
make[3]: *** [Makefile:1914: check-am] Error 2
make[3]: Leaving directory '/tmp/guix-build-gnunet-0.14.1.drv-0/gnunet-0.14.1/src/conversation'
make[2]: *** [Makefile:1586: check-recursive] Error 1
make[2]: Leaving directory '/tmp/guix-build-gnunet-0.14.1.drv-0/gnunet-0.14.1/src/conversation'
make[1]: *** [Makefile:565: check-recursive] Error 1
make[1]: Leaving directory '/tmp/guix-build-gnunet-0.14.1.drv-0/gnunet-0.14.1/src'
make: *** [Makefile:638: check-recursive] Error 1
Steps To ReproduceI built GNUnet in Guix by updating the package to 14.1
TagsNo tags attached.

Activities

schanzen

2021-05-10 21:52

manager   ~0017811

Hopefully fixed with b66096531016574c353878bbb621c6f062912f51

Brendan

2021-05-11 10:56

reporter   ~0017816

Thanks. You may need to do something similar in other files like test_conversation_api_reject.c, and test_conversation_api_twocalls.c


make[4]: Entering directory '/tmp/guix-build-gnunet-0.14.1-78ad9a3.drv-0/source/src/conversation'
  CC test_conversation_api.o
  CCLD test_conversation_api
  CC test_conversation_api_reject.o
test_conversation_api_reject.c: In function ‘namestore_put_cont’:
test_conversation_api_reject.c:258:56: error: incompatible type for argument 4 of ‘GNUNET_IDENTITY_create’
   op = GNUNET_IDENTITY_create (id, "caller-ego", NULL, &caller_ego_create_cont,
                                                        ^
In file included from ../../src/include/gnunet_gnsrecord_lib.h:37:0,
                 from test_conversation_api_reject.c:31:
../../src/include/gnunet_identity_service.h:339:1: note: expected ‘enum GNUNET_IDENTITY_KeyType’ but argument is of type ‘void (*)(void *, const struct GNUNET_IDENTITY_PrivateKey *, const char *)’
 GNUNET_IDENTITY_create (struct GNUNET_IDENTITY_Handle *id,
 ^~~~~~~~~~~~~~~~~~~~~~
test_conversation_api_reject.c:258:8: error: too few arguments to function ‘GNUNET_IDENTITY_create’
   op = GNUNET_IDENTITY_create (id, "caller-ego", NULL, &caller_ego_create_cont,
        ^~~~~~~~~~~~~~~~~~~~~~
In file included from ../../src/include/gnunet_gnsrecord_lib.h:37:0,
                 from test_conversation_api_reject.c:31:
../../src/include/gnunet_identity_service.h:339:1: note: declared here
 GNUNET_IDENTITY_create (struct GNUNET_IDENTITY_Handle *id,
 ^~~~~~~~~~~~~~~~~~~~~~
test_conversation_api_reject.c: In function ‘run’:
test_conversation_api_reject.c:340:55: error: incompatible type for argument 4 of ‘GNUNET_IDENTITY_create’
   op = GNUNET_IDENTITY_create (id, "phone-ego", NULL, &phone_ego_create_cont,
                                                       ^
In file included from ../../src/include/gnunet_gnsrecord_lib.h:37:0,
                 from test_conversation_api_reject.c:31:
../../src/include/gnunet_identity_service.h:339:1: note: expected ‘enum GNUNET_IDENTITY_KeyType’ but argument is of type ‘void (*)(void *, const struct GNUNET_IDENTITY_PrivateKey *, const char *)’
 GNUNET_IDENTITY_create (struct GNUNET_IDENTITY_Handle *id,
 ^~~~~~~~~~~~~~~~~~~~~~
test_conversation_api_reject.c:340:8: error: too few arguments to function ‘GNUNET_IDENTITY_create’
   op = GNUNET_IDENTITY_create (id, "phone-ego", NULL, &phone_ego_create_cont,
        ^~~~~~~~~~~~~~~~~~~~~~
In file included from ../../src/include/gnunet_gnsrecord_lib.h:37:0,
                 from test_conversation_api_reject.c:31:
../../src/include/gnunet_identity_service.h:339:1: note: declared here
 GNUNET_IDENTITY_create (struct GNUNET_IDENTITY_Handle *id,
 ^~~~~~~~~~~~~~~~~~~~~~
make[4]: *** [Makefile:1419: test_conversation_api_reject.o] Error 1

schanzen

2021-05-11 11:57

manager   ~0017817

Sorry I dont have a platform with gstreamer atm. Can you try again?

Brendan

2021-05-11 14:17

reporter   ~0017825

It built so it looks ok to me.

schanzen

2021-05-11 14:21

manager   ~0017826

Great. Marking resolved again.

Issue History

Date Modified Username Field Change
2021-05-09 13:24 Brendan New Issue
2021-05-10 21:52 schanzen Assigned To => schanzen
2021-05-10 21:52 schanzen Status new => resolved
2021-05-10 21:52 schanzen Resolution open => fixed
2021-05-10 21:52 schanzen Fixed in Version => 0.14.2
2021-05-10 21:52 schanzen Note Added: 0017811
2021-05-10 21:52 schanzen Target Version => 0.14.2
2021-05-11 10:56 Brendan Status resolved => feedback
2021-05-11 10:56 Brendan Resolution fixed => reopened
2021-05-11 10:56 Brendan Note Added: 0017816
2021-05-11 11:57 schanzen Note Added: 0017817
2021-05-11 14:17 Brendan Note Added: 0017825
2021-05-11 14:17 Brendan Status feedback => assigned
2021-05-11 14:21 schanzen Status assigned => resolved
2021-05-11 14:21 schanzen Resolution reopened => fixed
2021-05-11 14:21 schanzen Note Added: 0017826
2021-06-10 19:37 schanzen Target Version 0.14.2 => 0.15.0
2021-06-10 22:53 schanzen Fixed in Version 0.14.2 => 0.15.0